API Reference
Execute AddExploratoryAnalysis
Executes the addExploratoryAnalysis function.
POST
/
v1
/
workflows
/
rollout
/
instances
/
{instance}
:addexploratoryanalysis
Execute AddExploratoryAnalysis
curl --request POST \
--url https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:addexploratoryanalysis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:addexploratoryanalysis"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://experiments.confidence.dev/v1/workflows/rollout/instances/{instance}:addexploratoryanalysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createTime": "<string>",
"id": "<string>",
"messages": [
"<string>"
],
"metrics": [
{
"dimensions": [
{
"column": "<string>",
"dimensionTable": "<string>",
"factTable": "<string>"
}
],
"name": "<string>",
"calculation": "<string>",
"scheduledCalculation": "<string>"
}
],
"name": "<string>",
"state": "STATE_UNSPECIFIED",
"updateTime": "<string>",
"analysisResults": [
{
"analysisResult": "<string>",
"exposureFilterName": "<string>"
}
],
"conclusion": {
"text": "<string>",
"updateTime": "<string>"
},
"createdBy": "<string>",
"endTime": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"splitByExposureFilters": true,
"startTime": "<string>",
"useCustomDateRange": true,
"useScheduledCalculation": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Parameters for the function.
Show child attributes
Show child attributes
Response
200 - application/json
OK
The create time
The analysis id
Messages
The metrics to analyze
Show child attributes
Show child attributes
The analysis name
The analysis state
Available options:
STATE_UNSPECIFIED, EMPTY, CALCULATING, DONE, ERROR, STALE The update time
Analysis results
Show child attributes
Show child attributes
The conclusion
Show child attributes
Show child attributes
A resource name on the format users/abc
The end time of the analysis time window
Labels
Show child attributes
Show child attributes
Whether to split by exposure filters
The start time of the analysis time window
Whether the analysis uses a custom date range
Use scheduled calculations instead of one-time calculations
Was this page helpful?
⌘I
Execute AddExploratoryAnalysis

